Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Polo File Manager

Message
Author
balarm
Forum Regular
Forum Regular
Posts: 107
Joined: Thu Dec 07, 2017 3:15 pm

Re: Polo File Manager

#11 Post by balarm » Sun Nov 25, 2018 3:51 pm

I use Polo FM, Timeshift and Aptik too and they work fine. My polo version is 18.3.1 Beta and ,if I well remember, installed it by a link posted here (by Stevo????).
Is it possible to download the PoloFM- packages from the test-repo so that I can install it in a "working machine" to test it???
thanks
mx1 Kernel: 4.15.0-1-amd64 x86_64 bits: 64 Desktop: Xfce 4.12.3
Distro: MX-17.1_x64 Horizon December 15, 2017
Machine: Device: laptop System: LENOVO product: 1951A47 v: ThinkPad T60

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 17029
Joined: Fri Dec 15, 2006 8:07 pm

Re: Polo File Manager

#12 Post by Stevo » Sun Nov 25, 2018 4:03 pm

The test repo 18.8 debs are here: http://mxrepo.com/mx/testrepo/pool/test/p/polo/

Ignore the dbgsym (debug symbols) packages.

However, the problem wasn't that it could not install from the test repo using MX package Installer, it was that it would crash for that one user when starting up.

User avatar
asqwerth
Forum Veteran
Forum Veteran
Posts: 3636
Joined: Sun May 27, 2007 5:37 am

Re: Polo File Manager

#13 Post by asqwerth » Mon Nov 26, 2018 12:02 am

Moltke wrote:
Sun Nov 25, 2018 2:15 pm
asqwerth wrote:
Sun Nov 25, 2018 12:19 pm
My bug report is here: viewtopic.php?p=466664#p466664
So you can't install PFM from the test respo? Well, like I said before I've been using it for quite a while, since version 17 came out last year and I've always installed it using the .deb or .run file provided by the author here https://github.com/teejee2008/polo/releases I haven't had any mayor issues with it so far... Maybe you should try installing it the same way I did. I mean, if you haven't already done so.

My responses were because you said:
I think you should move it to the stable repo so everyone can benefit from it.
in an earlier post.

I'm saying "no, don't move it from Test Repo yet as the package IN THERE (ie, not from Teejee's own site) doesn't work for me. Here's my bug report."

I'm therefore using the Test Repo the way it was meant - Testing and Giving Feedback. (yes, I'm referring to a now-locked thread that kind of blew up overnight while I was sleeping :p )

I don't actually need or use it. I'm happy with Sunflower and Double Commander.
Desktop: Intel i5-4460, 16GB RAM, Intel integrated graphics
Clevo N130WU-based Ultrabook: Intel i7-8550U (Kaby Lake R), 16GB RAM, Intel integrated graphics (UEFI)
ASUS X42D laptop: AMD Phenom II, 6GB RAM, Mobility Radeon HD 5400

User avatar
asqwerth
Forum Veteran
Forum Veteran
Posts: 3636
Joined: Sun May 27, 2007 5:37 am

Re: Polo File Manager

#14 Post by asqwerth » Mon Nov 26, 2018 12:05 am

Stevo wrote:
Sun Nov 25, 2018 4:03 pm
The test repo 18.8 debs are here: http://mxrepo.com/mx/testrepo/pool/test/p/polo/

Ignore the dbgsym (debug symbols) packages.

However, the problem wasn't that it could not install from the test repo using MX package Installer, it was that it would crash for that one user when starting up.
Stevo, is there more info you need to work out why it doesn't work for me? As far as I know my repos are kept very clean and standard but I can check again tonight.
Desktop: Intel i5-4460, 16GB RAM, Intel integrated graphics
Clevo N130WU-based Ultrabook: Intel i7-8550U (Kaby Lake R), 16GB RAM, Intel integrated graphics (UEFI)
ASUS X42D laptop: AMD Phenom II, 6GB RAM, Mobility Radeon HD 5400

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 17029
Joined: Fri Dec 15, 2006 8:07 pm

Re: Polo File Manager

#15 Post by Stevo » Mon Nov 26, 2018 5:20 pm

At some point, we also have to consider that if a program works for almost all users out of the box, we should move it to main and then keep trying to solve the issues for those that aren't that fortunate.

User avatar
Jerry3904
Forum Veteran
Forum Veteran
Posts: 23025
Joined: Wed Jul 19, 2006 6:13 am

Re: Polo File Manager

#16 Post by Jerry3904 » Mon Nov 26, 2018 5:26 pm

I tried to install this x64 on an up to date MX-17.1, and got this error msg.
You do not have the required permissions to view the files attached to this post.
Production: 4.15.0-1-amd64, MX-17.1, AMD FX-4130 Quad-Core, GeForce GT 630/PCIe/SSE2, 8 GB, SSD 120 GB, Data 1TB
Testing: AAO 722: 4.15.0-1-386. MX-17.1, AMD C-60 APU, 4 GB
Personal: XPS 13, 4.18.0-19.3-liquorix, 4 GB

User avatar
Gordon Cooper
Forum Guide
Forum Guide
Posts: 2150
Joined: Mon Nov 21, 2011 5:50 pm

Re: Polo File Manager

#17 Post by Gordon Cooper » Mon Nov 26, 2018 5:36 pm

Does not install for me neither. Missing dependency.
Homebrew64 bit Intel duo core 2 GB RAM, 120 GB Kingston SSD, Seagate1TB.
Primary OS : MX-17.1 64bit. Also MX17, Kubuntu14.04 & Puppy 6.3.
Dell9010, MX-17.1, Win7

balarm
Forum Regular
Forum Regular
Posts: 107
Joined: Thu Dec 07, 2017 3:15 pm

Re: Polo File Manager

#18 Post by balarm » Mon Nov 26, 2018 6:03 pm

I installed it following the link, and the suggestion, posted by Stevo http://mxrepo.com/mx/testrepo/pool/test ... _amd64.deb.
I also installed dependencies requested: P7zip-rar, libimage-exiftool-perl.
It works
mx1 Kernel: 4.15.0-1-amd64 x86_64 bits: 64 Desktop: Xfce 4.12.3
Distro: MX-17.1_x64 Horizon December 15, 2017
Machine: Device: laptop System: LENOVO product: 1951A47 v: ThinkPad T60

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 17029
Joined: Fri Dec 15, 2006 8:07 pm

Re: Polo File Manager

#19 Post by Stevo » Mon Nov 26, 2018 6:58 pm

The dbgsym (debugging symbols) packages also need the main program package, so they can debug it. If you're installing them one at a time with gdebi, do the main package first.

I install lots of debs with one fell swoop with the apt install extension we have for Dolphin to avoid these kinds of problems: maybe d_o could add the Thunar version he fixed for me for MX 18? It's in a thread that must be a year old by now...

But, again, the problem never was about installing Polo from the test repo with MXPI, only about it crashing for one user when they try and run it after it installs.

User avatar
fehlix
Forum Guide
Forum Guide
Posts: 2403
Joined: Wed Apr 11, 2018 5:09 pm

Re: Polo File Manager

#20 Post by fehlix » Mon Nov 26, 2018 9:14 pm

Just installed from a live booted 17.1 November polo-file-manager.
To see what's up have done this from command line after full updated.
This as a simulation ( using my testrep-helper-script):

Code: Select all

$ ./apt-gettestrepo --simulate install polo-file-manager 

## /etc/apt/sources.list.d/mx.list
## mx-testrepo
deb http://ftp.halifax.rwth-aachen.de/mxlinux/packages/mx/testrepo/ stretch test
sudo apt-get -o Dir::Etc::sourcelist=/tmp/mx-testrepo-apt-sources.list.d-temp.demo.10489.1242019149/temp_source.list --simulate install polo-file-manager
Reading package lists... Done
Building dependency tree        
Reading state information... Done
The following additional packages will be installed:
  fish fish-common ipxe-qemu libaio1 libbrlapi0.6 libcacard0 libfdt1 libimage-exiftool-perl libjs-jquery libmediainfo0v5 libpcre2-32-0 libspice-server1 libtinyxml2-4
  libusbredirparser1 libvdeplug2 libxen-4.8 libxenstore3.0 libzen0v5 mediainfo p7zip-rar qemu-kvm qemu-system-common qemu-system-x86 qemu-utils seabios
Suggested packages:
  doc-base mediainfo-gui vde2 qemu-block-extra sgabios ovmf debootstrap
Recommended packages:
  libarchive-zip-perl libposix-strptime-perl libunicode-linebreak-perl javascript-common
The following NEW packages will be installed:
  fish fish-common ipxe-qemu libaio1 libbrlapi0.6 libcacard0 libfdt1 libimage-exiftool-perl libjs-jquery libmediainfo0v5 libpcre2-32-0 libspice-server1 libtinyxml2-4
  libusbredirparser1 libvdeplug2 libxen-4.8 libxenstore3.0 libzen0v5 mediainfo p7zip-rar polo-file-manager qemu-kvm qemu-system-common qemu-system-x86 qemu-utils seabios
0 upgraded, 26 newly installed, 0 to remove and 122 not upgraded.
Inst libjs-jquery (3.1.1-2 Debian:9.6/stable [all])
Inst fish-common (2.7.1-3~mx17+1 MX repository:17.0/mx [all])
Inst libpcre2-32-0 (10.22-3 Debian:9.6/stable [amd64])
Inst fish (2.7.1-3~mx17+1 MX repository:17.0/mx [amd64])
Inst qemu-system-common (1:2.8+dfsg-6+deb9u5 Debian-Security:9/stable [amd64])
Inst ipxe-qemu (1.0.0+git-20161027.b991c67-1 Debian:9.6/stable [all])
Inst libaio1 (0.3.110-3 Debian:9.6/stable [amd64])
Inst libcacard0 (1:2.5.0-3 Debian:9.6/stable [amd64])
Inst libimage-exiftool-perl (10.40-1 Debian:9.6/stable [all])
Inst libtinyxml2-4 (4.0.1-1 Debian:9.6/stable [amd64])
Inst libzen0v5 (0.4.34-1 Debian:9.6/stable [amd64])
Inst libmediainfo0v5 (0.7.91-1 Debian:9.6/stable [amd64])
Inst libspice-server1 (0.12.8-2.1+deb9u2 Debian:9.6/stable, Debian-Security:9/stable [amd64])
Inst libusbredirparser1 (0.7.1-1 Debian:9.6/stable [amd64])
Inst libvdeplug2 (2.3.2+r586-2.1 Debian:9.6/stable [amd64])
Inst libxenstore3.0 (4.8.4+xsa273+shim4.10.1+xsa273-1+deb9u10 Debian:9.6/stable, Debian-Security:9/stable [amd64])
Inst libxen-4.8 (4.8.4+xsa273+shim4.10.1+xsa273-1+deb9u10 Debian:9.6/stable, Debian-Security:9/stable [amd64])
Inst mediainfo (0.7.91-1 Debian:9.6/stable [amd64])
Inst p7zip-rar (16.02-1 Debian:9.6/stable [amd64])
Inst libbrlapi0.6 (5.4-7+deb9u1 Debian:9.6/stable [amd64])
Inst libfdt1 (1.4.2-1 Debian:9.6/stable [amd64])
Inst seabios (1.10.2-1 Debian:9.6/stable [all])
Inst qemu-system-x86 (1:2.8+dfsg-6+deb9u5 Debian-Security:9/stable [amd64])
Inst qemu-utils (1:2.8+dfsg-6+deb9u5 Debian-Security:9/stable [amd64])
Inst qemu-kvm (1:2.8+dfsg-6+deb9u5 Debian-Security:9/stable [amd64])
Inst polo-file-manager (18.8-0.1~mx17+1 MX repository:17.0/mx [amd64])
Conf libjs-jquery (3.1.1-2 Debian:9.6/stable [all])
Conf fish-common (2.7.1-3~mx17+1 MX repository:17.0/mx [all])
Conf libpcre2-32-0 (10.22-3 Debian:9.6/stable [amd64])
Conf fish (2.7.1-3~mx17+1 MX repository:17.0/mx [amd64])
Conf qemu-system-common (1:2.8+dfsg-6+deb9u5 Debian-Security:9/stable [amd64])
Conf ipxe-qemu (1.0.0+git-20161027.b991c67-1 Debian:9.6/stable [all])
Conf libaio1 (0.3.110-3 Debian:9.6/stable [amd64])
Conf libcacard0 (1:2.5.0-3 Debian:9.6/stable [amd64])
Conf libimage-exiftool-perl (10.40-1 Debian:9.6/stable [all])
Conf libtinyxml2-4 (4.0.1-1 Debian:9.6/stable [amd64])
Conf libzen0v5 (0.4.34-1 Debian:9.6/stable [amd64])
Conf libmediainfo0v5 (0.7.91-1 Debian:9.6/stable [amd64])
Conf libspice-server1 (0.12.8-2.1+deb9u2 Debian:9.6/stable, Debian-Security:9/stable [amd64])
Conf libusbredirparser1 (0.7.1-1 Debian:9.6/stable [amd64])
Conf libvdeplug2 (2.3.2+r586-2.1 Debian:9.6/stable [amd64])
Conf libxenstore3.0 (4.8.4+xsa273+shim4.10.1+xsa273-1+deb9u10 Debian:9.6/stable, Debian-Security:9/stable [amd64])
Conf libxen-4.8 (4.8.4+xsa273+shim4.10.1+xsa273-1+deb9u10 Debian:9.6/stable, Debian-Security:9/stable [amd64])
Conf mediainfo (0.7.91-1 Debian:9.6/stable [amd64])
Conf p7zip-rar (16.02-1 Debian:9.6/stable [amd64])
Conf libbrlapi0.6 (5.4-7+deb9u1 Debian:9.6/stable [amd64])
Conf libfdt1 (1.4.2-1 Debian:9.6/stable [amd64])
Conf seabios (1.10.2-1 Debian:9.6/stable [all])
Conf qemu-system-x86 (1:2.8+dfsg-6+deb9u5 Debian-Security:9/stable [amd64])
Conf qemu-utils (1:2.8+dfsg-6+deb9u5 Debian-Security:9/stable [amd64])
Conf qemu-kvm (1:2.8+dfsg-6+deb9u5 Debian-Security:9/stable [amd64])
Conf polo-file-manager (18.8-0.1~mx17+1 MX repository:17.0/mx [amd64])

So lot's of depenencies..
And afterwards the real installation ( without simulation.)
Installed and run even from command line with one "cannot find trash folder" warning ( not unusaual on Livesystem ) and two little Gtk-warnings.
Gigabyte Z77M-D3H, Intel Xeon E3-1240 V2 (Quad core), 32GB RAM,
GeForce GTX 770, Samsung SSD 850 EVO 500GB, Seagate Barracuda 4TB

Post Reply

Return to “General”